Skip to main content
POST
/
v1
/
video
/
silence-detect
{
  "input": "https://example.com/video.mp4",
  "threshold": 0,
  "duration": 1.0
}
curl -X POST https://api.ringbee.dev/v1/video/silence-detect \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "duration=1.0"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/video.mp4",
  "threshold": 0,
  "duration": 1.0
}
curl -X POST https://api.ringbee.dev/v1/video/silence-detect \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@video.mp4" \
  -F "duration=1.0"
ParamTypeDescription
thresholdnumberSilence threshold in dB (e.g., -30)
durationnumberMinimum silence duration in seconds

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

threshold
number

Silence threshold in dB (e.g., -30)

duration
number

Minimum silence duration in seconds

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"